Bug 223485 - RFE: Change debug level of sqlite cache needs updating message.
Summary: RFE: Change debug level of sqlite cache needs updating message.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-metadata-parser   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-19 17:26 UTC by Orion Poplawski
Modified: 2014-01-21 22:56 UTC (History)
0 users

Fixed In Version: 1.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 19:06:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2007-01-19 17:26:59 UTC
Description of problem:

I've been running yum updates via cron with -d 1 set so as to get output of what
packages were installed, which is quite convenient.  However, it appears that
this message:

** Message: sqlite cache needs updating, reading in metadata

is output at level 1 and so output is generated even if no packages are updated.
 It would be nice if this message was only output a -d 2 or higher.

Comment 1 Seth Vidal 2007-01-19 17:30:03 UTC
what version of yum-metadata-parser do you have installed?

Comment 2 Orion Poplawski 2007-01-19 17:32:51 UTC
yum-metadata-parser-1.0-8.fc6

Comment 3 Orion Poplawski 2007-01-19 17:34:34 UTC
But I think the logging is done in yum:

/usr/lib/python2.4/site-packages/yum/sqlitecache.py:           
self.verbose_logger.debug("%s sqlite cache needs updating, reading in metadata",


Comment 4 Seth Vidal 2007-01-22 04:52:32 UTC
some of it is, some of it isn't. Update your metadata-parser to 1.0.3 and see if
the problem continues, please.

Comment 5 Orion Poplawski 2007-02-09 19:06:33 UTC
I don't see these anymore.


Note You need to log in before you can comment on or make changes to this bug.